# fn() convertImpl
Implements convert.

Defined in | <seqan/basic.h>
Signature | `T convertImpl(convert, source);`

## Parameters

`convert` | Object that specifies the conversion. A constant instance of Convert is used to specify the conversion target.
`source` | An object that should be converted.

## Return Values

`T` | `source` converted to the type specified by convert.

## Detailed Description

### Remarks

This function implements convert. It is recommended to use convert rather than `convertImpl`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- convert

#### Dox Sources

    /*!
     * @fn convertImpl
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Implements convert.
     *
     * @signature T convertImpl(convert, source);
     *
     * @param[in] convert Object that specifies the conversion. A constant instance
     *                    of Convert is used to specify the conversion target.
     * @param[in] source An object that should be converted.
     *
     * @return T <tt>source</tt> converted to the type specified by convert.
     *
     * @section Remarks
     *
     * This function implements convert. It is recommended to use convert rather
     * than <tt>convertImpl</tt>.
     *
     * @see convert
     */